Package org.springframework.orm.jpa.persistenceunit

# Interface ManagedClassNameFilter

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ManagedClassNameFilter
Strategy interface to filter the list of persistent managed types to include in the persistence unit. Only class names that match the filter are managed.

Since:
  6.1.4
Author:
  Stephane Nicoll
See Also:
  - `DefaultPersistenceUnitManager.setManagedClassNameFilter(org.springframework.orm.jpa.persistenceunit.ManagedClassNameFilter)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(String className)`
Test if the given class name matches the filter.

## Method Details

### matches

boolean matches(String className)
Test if the given class name matches the filter.

Parameters:
  `className` - the fully qualified class name of the persistent type to test
Returns:
  `true` if the class name matches